#include<bits/stdc++.h>
using namespace std;

int main(){
	
	long long n,m;
	cin>>n>>m;
	long long r=0;
	long long ai=1;
    long long i=1;
    long long p=m+1;
	long long x;
	
	while(r<n){
		cout<<ai<<endl;;
		r++;
    }
    
    while(i<n && i<p){
    	cout<<i<<" "<<i+1<<endl;
    	i++;
	}
	
	x=1*(m*2);

    
	cout<<x<<endl;
    
	return 0;
}